Error in library(Rcmdr): No package named 'Rcmdr'

Asked 1 months ago, Updated 1 months ago, 3 views

Amateur programming is also a good thing.
I am using qiime2 because I need to study intestinal bacteria.
I would appreciate it if you could let me know because I stumbled in the middle of the analysis.

As for the denoise work, it used to be done without any problems.
After downloading ezR for something else? (I don't know if it's relevant)
It's stopped.
--verbose for errors

(qiime2-2021.2) ユーザー名@MacBook-Air start2 % qiime dada2 denoise-paired --i-demultiplexed-seqs paired-end-demux.qza --o-table table.qza --o-representative-sequences rep-seqs.qza --p-trim-left-f 17 --p-trim-left-r 21 --p-trunc-len-f 280 --p-trunc-len-r 250 --o-denoising-stats stats-dada2.qza --verbose
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /var/folders/_6/sz481stn0wd8c75djm0kql6m0000gn/T/tmpsazbpz18/forward /var/folders/_6/sz481stn0wd8c75djm0kql6m0000gn/T/tmpsazbpz18/reverse /var/folders/_6/sz481stn0wd8c75djm0kql6m0000gn/T/tmpsazbpz18/output.tsv.biom /var/folders/_6/sz481stn0wd8c75djm0kql6m0000gn/T/tmpsazbpz18/track.tsv /var/folders/_6/sz481stn0wd8c75djm0kql6m0000gn/T/tmpsazbpz18/filt_f /var/folders/_6/sz481stn0wd8c75djm0kql6m0000gn/T/tmpsazbpz18/filt_r 280 250 17 21 2.0 2.0 2 independent consensus 1.0 1 1000000

 lib Library (Robert, the text of cmdstr )   : error :   ‘ Robert, the text of cmdstr ’ don't have any package is called 
 execution had been deactivated 
Traceback (most recent call last):
  File    , " / User / name / / mini " full ", 3 ~ / / q) (iii) (a) 20 21 27, / lib and / 3. 6 - package g/eq / 2 _ d / _ polyposis (e) et al. py "   2 6 4, scheme or   offers two install options : Suarez _ (March 2006
    run_commands([cmd])
  File   " / User / name / / mini " full ", 3 ~ / / q) (iii) (a) 20 21 27, / lib and / 3. 6 - package g/eq / 2 _ d / _ polyposis (e) et al. py "  , oblique n_c n1)n2 n0 wrongly configuredgrub.conf 3 6,   mean mandevfsd.conf.
    subprocess.run(cmd, check=True)
  File   " / User / name / / mini " full ", 3 ~ / / q) (iii) (a) 20 21 27, / lib and / 3. 6 subprocess Module (Servlet PostMessage at +. py ", Seline     4 3 8,
    output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '['run_dada_paired.R', '/var/folders/_6/sz481stn0wd8c75djm0kql6m0000gn/T/tmpsazbpz18/forward', '/var/folders/_6/sz481stn0wd8c75djm0kql6m0000gn/T/tmpsazbpz18/reverse', '/var/folders/_6/sz481stn0wd8c75djm0kql6m0000gn/T/tmpsazbpz18/output.tsv.biom', '/var/folders/_6/sz481stn0wd8c75djm0kql6m0000gn/T/tmpsazbpz18/track.tsv', '/var/folders/_6/sz481stn0wd8c75djm0kql6m0000gn/T/tmpsazbpz18/filt_f', '/var/folders/_6/sz481stn0wd8c75djm0kql6m0000gn/T/tmpsazbpz18/filt_r', '280', '250', '17', '21', '2.0', '2.0', '2', 'independent', 'consensus', '1.0', '1', '1000000']' returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File"/Users/Username/opt/miniconda3/envs/qiime2-2021.2/lib/python3.6/site-packages/q2cli/commands.py", line329, in__call__
    results=action(**arguments)
  File "<decorator-gen-522>", line 2, deny_paired
  File"/Users/Username/opt/miniconda3/envs/qiime2-2021.2/lib/python3.6/site-packages/qiime2/sdk/action.py", line 245, inbound_callable
    output_types, provision)
  File"/Users/Username/opt/miniconda3/envs/qiime2-2021.2/lib/python3.6/site-packages/qiime2/sdk/action.py", line 390, in_callable_executor_
    output_views=self._callable(**view_args)
  File"/Users/Username/opt/miniconda3/envs/qiime2-2021.2/lib/python3.6/site-packages/q2_dada2/_denoise.py", line 279, deny_paired
    " and stderr to learn more."%e.returncode)
Exception—An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Plugin error from data2:

  Error was encountered while running DADA2 in R (return code1), please inspect stdout and stderr to learn more.

Since I fiddled with R,

Error in
library(Rcmdr): No package named 'Rcmdr'

Even if I erase ezR and install it again, it won't heal.
By the way, R's console now has the same wording.

If anyone knows how to deal with it, please let me know.
Thank you for your cooperation.

r

2022-09-30 11:22

1 Answers

Sorry for the late reply.

Please erase the EZR relationship description in ~/.Rprofile. If you also want to use EZR, you will have to select "Load Plug-in" from the window every time you launch Rcmdr, or save the launch command as a script or alias as shown in EZR's official tutorial.

Did it go wrong after configuring the following commands in the terminal at the end of ezR's HP?

The suspicion that is probably correct, and this setting in ~/.Rprofile seems to have been loaded in the form of overwriting the modified Rcmdr program for EZR. I think this is happening because the qiime2 developer doesn't expect it to compete with other software.

I don't know the format of the input data in denoise-paired because I don't know much about qiime2 or biology. Instead, I just try denoise-single by referring to official tutorial.


2022-09-30 11:22

If you have any answers or tips


© 2022 OneMinuteCode. All rights reserved.